﻿// Screenshot'O'Death plugin by Proto
// Thanks to CodenameG, toNyx, powa & Giwin for some hints with code

using System;
using System.Threading;
using System.Windows.Media;

using Styx;
using Styx.Common;
using Styx.Plugins;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace ScreenshotODeath
{
    public class ScreenshotODeath : HBPlugin
    {
        public override string Name { get { return "Screenshot'O'Death"; } }
        public override string Author { get { return "Proto"; } }
        public override Version Version { get { return new Version(2, 1); } }
        public override bool WantButton { get { return true; } }
        public override string ButtonText { get { return "None"; } }
		public override void OnEnable()
        {
            Logging.Write(Colors.Orange, "Screenshot'O'Death - Enabled v" + Version);
            base.OnEnable();
        }

        public override void OnDisable()
		{
            Logging.Write(Colors.OrangeRed, "Screenshot'O'Death - Disabled");
            base.OnDisable();
        }

        public override void Pulse()
        {
	    if (!StyxWoW.IsInGame || StyxWoW.Me.IsAlive || StyxWoW.Me.Combat || StyxWoW.Me.IsGhost)
	    {    
		return;
	    }
	    else if (StyxWoW.Me.IsDead && !StyxWoW.Me.Combat && !StyxWoW.Me.IsGhost)
	    {
		StyxWoW.Sleep(1000);
		Logging.Write(Colors.Orange, "[Screenshot'O'Death] You died " + DateTime.Now.ToString() + " at the following coords " + StyxWoW.Me.Location);
		StyxWoW.Sleep(1000);
		Logging.Write(Colors.Orange, "[Screenshot'O'Death] Picture will be located in your World of Warcraft Screenshots folder.");
		StyxWoW.Sleep(100);
		Lua.DoString("Screenshot()");
		Lua.DoString("RepopMe()");
		StyxWoW.Sleep(10000); // wait for my ghost
	    }

        }

    }
}
